


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UserContext</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.service</a> ]
</div>

<h1>Coverage Summary for Class: UserContext (com.dema.timeregistration.service)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UserContext</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    40%
  </span>
  <span class="absValue">
    (2/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    50%
  </span>
  <span class="absValue">
    (5/ 10)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.service;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.User;
<i>4</i>&nbsp;
<i>5</i>&nbsp;import java.time.Instant;
<i>6</i>&nbsp;
<i>7</i>&nbsp;public class UserContext {
<i>8</i>&nbsp;    private Instant loginDate;
<i>9</i>&nbsp;    private User user;
<i>10</i>&nbsp;
<b class="fc"><i>11</i>&nbsp;    public UserContext(Instant loginDate, User user) {</b>
<b class="fc"><i>12</i>&nbsp;        this.loginDate = loginDate;</b>
<b class="fc"><i>13</i>&nbsp;        this.user = user;</b>
<b class="fc"><i>14</i>&nbsp;    }</b>
<i>15</i>&nbsp;
<i>16</i>&nbsp;    public Instant getLoginDate() {
<b class="nc"><i>17</i>&nbsp;        return loginDate;</b>
<i>18</i>&nbsp;    }
<i>19</i>&nbsp;
<i>20</i>&nbsp;    public void setLoginDate(Instant loginDate) {
<b class="nc"><i>21</i>&nbsp;        this.loginDate = loginDate;</b>
<b class="nc"><i>22</i>&nbsp;    }</b>
<i>23</i>&nbsp;
<i>24</i>&nbsp;    public User getUser() {
<b class="fc"><i>25</i>&nbsp;        return user;</b>
<i>26</i>&nbsp;    }
<i>27</i>&nbsp;
<i>28</i>&nbsp;    public void setUser(User user) {
<b class="nc"><i>29</i>&nbsp;        this.user = user;</b>
<b class="nc"><i>30</i>&nbsp;    }</b>
<i>31</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
